Subject: Re: [patch net-next RFC 0/4] introduce infrastructure for support of switch chip datapath

From: Jamal Hadi Salim <[email-masked]>
Date: Thu, 27 Mar 2014 06:39:59 -0400

On 03/27/14 02:56, Jiri Pirko wrote:
> Wed, Mar 26, 2014 at 11:22:51PM CET, [email-masked] wrote:

>
> I believe that hawing both sw1p3 and eth0 is the correct way of
> modelling this. sw1p3 is instance if switch chip driver representing the
> actual port of a switch. eth0 is an instance of some other ordinary NIC
> driver (8139too is my favorite :))
>
> This model allows to draw the exact picture.
> Also, when you add the described possibility to use iplink to build
> vlans, bridges whatever on the switch ports, it makes perfect sense to
> have this model.
>
> Merging sw1p3 and eth0 would cause a loose of information and confusion.

I think that if eth0 and sw1p3 have different control interfaces i
agree.

Jiri, sorry - didnt respond to your other email on your patch. My
comment was on newlink() interface - i was wondering about why it was
there i.e as in allowing user space to create switch ports.

cheers,
jamal